/**
 * @(#)SVGStype.java
 * Copyright 2001 
 * @author  Intelligent Technology Inc.
 * @version 0.00 2001/08/14
 */
package jp.co.iti.fagot.xml;

/**
 * SVGStyle
 */
public class SVGStyleParam{
	public	static	final	String	WordSeparator	= ":";
	public	static	final	String	ParamSeparator	= ";";
	
	String s = null;
	
	public	String	add(String param ,String value){
		if(null==param)	return(null);
		if(null==value)	return(null);
		String w = param + WordSeparator + value;
		if(isEmpty())	s = w;
		else			s = s + ParamSeparator + w;
		
		return(new String(s));
	}
	
	public	String	add(String str){
		if(null==str)	return(null);
		if(null == s)	s = new String(str);
		else			s = s + ParamSeparator + str;
		
		return(new String(s));
	}
	
	public	String toString(){
		if(null==s)	return(null);
		return(new String(s));
	}
	
	public	boolean	isEmpty(){
		if(null == s)		return(true);
		if(0 < s.length())	return(false);
		return(true);
	}
	
}